Bug 662945 - During live migration, restart source libvirtd will stop the migration
Summary: During live migration, restart source libvirtd will stop the migration
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 634065
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 09:02 UTC by Min Zhan
Modified: 2011-06-21 16:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 634065
Environment:
Last Closed: 2011-06-21 16:50:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Min Zhan 2010-12-14 09:02:36 UTC
+++ This bug was initially created as a clone of Bug #634065 +++

Description of problem:
During the migration, restart the libvirtd will stop the migration and report an error: 
#virsh migrate --live mig2 qemu+ssh://10.66.92.126/system
error: server closed connection:

Version-Release number of selected component (if applicable):
RHEL5.6-Server-x86_64
kernel-2.6.18-236.el5
kvm-qemu-img-83-222.el5
libvirt-0.8.2-15.el5

How reproducible:
100%

Steps to Reproduce:
a.  Start a domain:
# virsh start <domain>
b.  Start a live migration:
# virsh migrate --live <domain> qemu+ssh://host2/system
c.  While the migration is happening, reboot libvirtd on
the source of the migration:
# service libvirtd restart

  
Actual results:
The migration should finish successfully

Expected results:
error : server closed connection:


Additional info:

Comment 2 Jiri Denemark 2010-12-15 16:44:46 UTC
Well, I would just close this as NOTABUG. Every operation will fail if you restart libvirtd before the operation is finished. If you restart httpd while trying to get an HTML page from it, you won't be surprised the page doesn't get to you, will you?

The same applies to the master bug filed for RHEL-6.

Comment 4 Dave Allan 2011-06-21 16:50:39 UTC
Restart of libvirtd during migration is not supported, so I'm closing this BZ as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.